# ldjson-aggregator
> Aggregate report based on Taurus ldjson output

## Install

`npm i -g ldjson-aggregagtor`

## Usage

`ldjson-aggregator <ldjson_path> <labelName>`

- `ldjson_path` - can be a relative path or absolute
- `labelName` - is case-sensitive, prefer to quote to avoid escaping. 
If omitted than the `Total (Aggregated)` label will be used.

Example usage:

```bash
$ ldjson-aggregator ./exported.jetlag.ldjson

┌───────────────────┬─────────┐
│      (index)      │ Values  │
├───────────────────┼─────────┤
│       label       │ 'Total' │
│      samples      │  40109  │
│      average      │ 9145.83 │
│      median       │   224   │
│     90%-floor     │  7843   │
│ 90%-interpolation │ 7846.2  │
│     90%-ceil      │  7875   │
│        95%        │  28863  │
│        99%        │ 212991  │
│      minimum      │    3    │
│      maximum      │ 1062911 │
└───────────────────┴─────────┘

$ ldjson-aggregator ./exported.jetlag.ldjson 'T99_IKEA_ID_Logout'

┌───────────────────┬──────────────────────┐
│      (index)      │        Values        │
├───────────────────┼──────────────────────┤
│       label       │ 'T99_IKEA_ID_Logout' │
│      samples      │         244          │
│      average      │       30587.08       │
│      median       │         4719         │
│     90%-floor     │        130559        │
│ 90%-interpolation │        135551        │
│     90%-ceil      │        138879        │
│        95%        │        150271        │
│        99%        │        331007        │
│      minimum      │         3013         │
│      maximum      │        392959        │
└───────────────────┴──────────────────────┘
```

## License

MIT
